Update react-i18next

Description

We need to update blip to use the latest version of `react-i18next` (used for translation) in order to take advantage of features that tie in with the more recent features of react (such as hooks).

We are currently at version `7.13.0` – the most recent version (as of 11/6/20) is `11.7.3`

Done Criteria

`react-i18next`, `i18next`, and `i18next-parser` all updated as close to most recent versions as possible without major rework.

Design Specifications:

None

Accessibility Specifications

None

Test Strategy

None

Environment

None

New Fields for Analytics/Export Configuration (if needed)

None

Priority

None

Assignee

Clint Beacock

QA Assignee

None

Reporter

Thacher Hussain

Requested By (External)

None

Fix versions

None

T-Shirt Size

M: <=1 week

Risk Level

None

User Experience Assessment Level

None

UEA: Issue Volume

None

UEA: Category

None

Components

None

Design Review Required?

None

Design Approved By:

None

QA done during validation of another ticket?

None

Accessibility Review Required?

None

Accessibility Review Approved By

None

Approved for Production By:

None

Pull Request Needed

None

Resolved Build #

None

Story Points

5
Configure